Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -3675,29 +6523,116 @@
      84    FocusDistanceUpper                   int16uRev
      86    FocusDistanceLower                   int16uRev
-    119    WhiteBalance                         int16u
     120    WhiteBalance                         int16u
-    123    ColorTemperature                     int16u
     124    ColorTemperature                     int16u
-    334    LensType                             int16uRev
     335    LensType                             int16uRev
-    336    ShortFocal                           int16uRev
-    337    ShortFocal                           int16uRev
-    338    LongFocal                            int16uRev
-    339    LongFocal                            int16uRev
-    488    FirmwareVersion                      N
-    493    FirmwareVersion                      N
-    551    FileIndex                            int32u
+    337    MinFocalLength                       int16uRev
+    339    MaxFocalLength                       int16uRev
+    493    FirmwareVersion                      no
     556    FileIndex                            int32u
-    563    DirectoryIndex                       int32u
     568    DirectoryIndex                       int32u
-    867    PictureStyleInfo                     Canon PSInfo
     872    PictureStyleInfo                     Canon PSInfo
 
+=head3 Canon CameraInfo1DX Tags
+
+CameraInfo tags for the EOS 1D X.  Indices shown are for firmware version
+1.0.2, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    125    CameraOrientation                    int8u
+    140    FocusDistanceUpper                   int16uRev
+    142    FocusDistanceLower                   int16uRev
+    188    WhiteBalance                         int16u
+    192    ColorTemperature                     int16u
+    244    PictureStyle                         int8u
+    423    LensType                             int16uRev
+    425    MinFocalLength                       int16uRev
+    427    MaxFocalLength                       int16uRev
+    640    FirmwareVersion                      no
+    720    FileIndex                            int32u
+    732    DirectoryIndex                       int32u
+   1012    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon PSInfo2 Tags
+
+Custom picture style information for the EOS 5DmkIII, 60D, 600D and 1100D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ContrastStandard                     int32s
+      4    SharpnessStandard                    int32s
+      8    SaturationStandard                   int32s
+     12    ColorToneStandard                    int32s
+     16    FilterEffectStandard?                int32s
+     20    ToningEffectStandard?                int32s
+     24    ContrastPortrait                     int32s
+     28    SharpnessPortrait                    int32s
+     32    SaturationPortrait                   int32s
+     36    ColorTonePortrait                    int32s
+     40    FilterEffectPortrait?                int32s
+     44    ToningEffectPortrait?                int32s
+     48    ContrastLandscape                    int32s
+     52    SharpnessLandscape                   int32s
+     56    SaturationLandscape                  int32s
+     60    ColorToneLandscape                   int32s
+     64    FilterEffectLandscape?               int32s
+     68    ToningEffectLandscape?               int32s
+     72    ContrastNeutral                      int32s
+     76    SharpnessNeutral                     int32s
+     80    SaturationNeutral                    int32s
+     84    ColorToneNeutral                     int32s
+     88    FilterEffectNeutral?                 int32s
+     92    ToningEffectNeutral?                 int32s
+     96    ContrastFaithful                     int32s
+    100    SharpnessFaithful                    int32s
+    104    SaturationFaithful                   int32s
+    108    ColorToneFaithful                    int32s
+    112    FilterEffectFaithful?                int32s
+    116    ToningEffectFaithful?                int32s
+    120    ContrastMonochrome                   int32s
+    124    SharpnessMonochrome                  int32s
+    128    SaturationMonochrome?                int32s
+    132    ColorToneMonochrome?                 int32s
+    136    FilterEffectMonochrome               int32s
+    140    ToningEffectMonochrome               int32s
+    144    ContrastAuto                         int32s
+    148    SharpnessAuto                        int32s
+    152    SaturationAuto                       int32s
+    156    ColorToneAuto                        int32s
+    160    FilterEffectAuto                     int32s
+    164    ToningEffectAuto                     int32s
+    168    ContrastUserDef1                     int32s
+    172    SharpnessUserDef1                    int32s
+    176    SaturationUserDef1                   int32s
+    180    ColorToneUserDef1                    int32s
+    184    FilterEffectUserDef1                 int32s
+    188    ToningEffectUserDef1                 int32s
+    192    ContrastUserDef2                     int32s
+    196    SharpnessUserDef2                    int32s
+    200    SaturationUserDef2                   int32s
+    204    ColorToneUserDef2                    int32s
+    208    FilterEffectUserDef2                 int32s
+    212    ToningEffectUserDef2                 int32s
+    216    ContrastUserDef3                     int32s
+    220    SharpnessUserDef3                    int32s
+    224    SaturationUserDef3                   int32s
+    228    ColorToneUserDef3                    int32s
+    232    FilterEffectUserDef3                 int32s
+    236    ToningEffectUserDef3                 int32s
+    240    UserDef1PictureStyle                 int16u
+    242    UserDef2PictureStyle                 int16u
+    244    UserDef3PictureStyle                 int16u
+
 =head3 Canon CameraInfo5D Tags
 
 CameraInfo tags for the EOS 5D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3712,10 +6647,11 @@
      88    ColorTemperature                     int16u
     108    PictureStyle                         int8u
-    147    ShortFocal                           int16uRev
-    149    LongFocal                            int16uRev
+    147    MinFocalLength                       int16uRev
+    149    MaxFocalLength                       int16uRev
     151    LensType                             int16uRev
     164    FirmwareRevision                     string[8]
     172    ShortOwnerName                       string[16]
-    208    ImageNumber                          int16u
+    204    DirectoryIndex                       int32u
+    208    FileIndex                            int16u
     232    ContrastStandard                     int8s
     233    ContrastPortrait                     int8s
@@ -3761,8 +6697,9 @@
 =head3 Canon CameraInfo5DmkII Tags
 
-CameraInfo tags for the EOS 5D Mark II.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+CameraInfo tags for the EOS 5D Mark II.  Indices shown are for firmware
+version 1.0.6, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3782,26 +6719,72 @@
     191    AutoLightingOptimizer                int8u
     230    LensType                             int16uRev
-    232    ShortFocal                           int16uRev
-    234    LongFocal                            int16uRev
-    346    CameraInfo5DmkII_2a                  Canon CameraInfo5DmkII_2
-    382    CameraInfo5DmkII_2b                  Canon CameraInfo5DmkII_2
-
-=head3 Canon CameraInfo5DmkII_2 Tags
-
-More CameraInfo tags for the EOS 5D Mark II.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirmwareVersion                      N
-     61    FileIndex                            int32u
-     73    DirectoryIndex                       int32u
-    377    PictureStyleInfo                     Canon PSInfo
+    232    MinFocalLength                       int16uRev
+    234    MaxFocalLength                       int16uRev
+    382    FirmwareVersion                      no
+    443    FileIndex                            int32u
+    455    DirectoryIndex                       int32u
+    759    PictureStyleInfo                     Canon PSInfo
+
+=head3 Canon CameraInfo5DmkIII Tags
+
+CameraInfo tags for the EOS 5D Mark III.  Indices shown are for firmware
+versions 1.0.x, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    125    CameraOrientation                    int8u
+    140    FocusDistanceUpper                   int16uRev
+    142    FocusDistanceLower                   int16uRev
+    188    WhiteBalance                         int16u
+    192    ColorTemperature                     int16u
+    244    PictureStyle                         int8u
+    339    LensType                             int16uRev
+    341    MinFocalLength                       int16uRev
+    343    MaxFocalLength                       int16uRev
+    356    LensSerialNumber                     undef[5]
+    572    FirmwareVersion                      no
+    652    FileIndex                            int32u
+    656    FileIndex2                           int32u
+    664    DirectoryIndex                       int32u
+    668    DirectoryIndex2                      int32u
+    944    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon CameraInfo6D Tags
+
+CameraInfo tags for the EOS 6D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    131    CameraOrientation                    int8u
+    146    FocusDistanceUpper                   int16uRev
+    148    FocusDistanceLower                   int16uRev
+    194    WhiteBalance                         int16u
+    198    ColorTemperature                     int16u
+    250    PictureStyle                         int8u
+    353    LensType                             int16uRev
+    355    MinFocalLength                       int16uRev
+    357    MaxFocalLength                       int16uRev
+    598    FirmwareVersion                      no
+    682    FileIndex                            int32u
+    694    DirectoryIndex                       int32u
+    966    PictureStyleInfo                     Canon PSInfo2
 
 =head3 Canon CameraInfo7D Tags
 
-CameraInfo tags for the EOS 7D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+CameraInfo tags for the EOS 7D.  Indices shown are for firmware versions
+1.0.x, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3813,26 +6796,18 @@
      25    CameraTemperature                    int8u
      30    FocalLength                          int16uRev
-     32    CameraInfo7D_2a                      Canon CameraInfo7D_2
-     36    CameraInfo7D_2b                      Canon CameraInfo7D_2
-
-=head3 Canon CameraInfo7D_2 Tags
-
-More CameraInfo tags for the EOS 7D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     17    CameraOrientation                    int8u
-     48    FocusDistanceUpper                   int16uRev
-     50    FocusDistanceLower                   int16uRev
-     83    WhiteBalance                         int16u
-     87    ColorTemperature                     int16u
-    165    HighISONoiseReduction                int8u
-    238    LensType                             int16uRev
-    240    ShortFocal                           int16uRev
-    242    LongFocal                            int16uRev
-    392    FirmwareVersion                      N
-    455    FileIndex                            int32u
-    467    DirectoryIndex                       int32u
-    771    PictureStyleInfo                     Canon PSInfo
+     53    CameraOrientation                    int8u
+     84    FocusDistanceUpper                   int16uRev
+     86    FocusDistanceLower                   int16uRev
+    119    WhiteBalance                         int16u
+    123    ColorTemperature                     int16u
+    175    CameraPictureStyle                   int8u
+    201    HighISONoiseReduction                int8u
+    274    LensType                             int16uRev
+    276    MinFocalLength                       int16uRev
+    278    MaxFocalLength                       int16uRev
+    428    FirmwareVersion                      no
+    491    FileIndex                            int32u
+    503    DirectoryIndex                       int32u
+    807    PictureStyleInfo                     Canon PSInfo
 
 =head3 Canon CameraInfo40D Tags
@@ -3840,6 +6815,6 @@
 CameraInfo tags for the EOS 40D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3855,6 +6830,6 @@
     115    ColorTemperature                     int16u
     214    LensType                             int16uRev
-    216    ShortFocal                           int16uRev
-    218    LongFocal                            int16uRev
+    216    MinFocalLength                       int16uRev
+    218    MaxFocalLength                       int16uRev
     255    FirmwareVersion                      string[6]
     307    FileIndex                            int32u
@@ -3865,8 +6840,9 @@
 =head3 Canon CameraInfo50D Tags
 
-CameraInfo tags for the EOS 50D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+CameraInfo tags for the EOS 50D.  Indices shown are for firmware versions
+1.0.x, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3885,21 +6861,17 @@
     191    AutoLightingOptimizer                int8u
     234    LensType                             int16uRev
-    236    ShortFocal                           int16uRev
-    238    LongFocal                            int16uRev
-    346    FirmwareVersion                      N
-    350    FirmwareVersion                      N
-    407    FileIndex                            int32u
+    236    MinFocalLength                       int16uRev
+    238    MaxFocalLength                       int16uRev
+    350    FirmwareVersion                      no
     411    FileIndex                            int32u
-    419    DirectoryIndex                       int32u
     423    DirectoryIndex                       int32u
-    723    PictureStyleInfo                     Canon PSInfo
     727    PictureStyleInfo                     Canon PSInfo
 
 =head3 Canon CameraInfo60D Tags
 
-CameraInfo tags for the EOS 60D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+CameraInfo tags for the EOS 60D and 1200D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3908,84 +6880,61 @@
      30    FocalLength                          int16uRev
      54    CameraOrientation                    int8u
+     58    CameraOrientation                    int8u
      85    FocusDistanceUpper                   int16uRev
      87    FocusDistanceLower                   int16uRev
     125    ColorTemperature                     int16u
     232    LensType                             int16uRev
-    234    ShortFocal                           int16uRev
-    236    LongFocal                            int16uRev
-    409    FirmwareVersion                      N
+    234    MinFocalLength                       int16uRev
+    236    MaxFocalLength                       int16uRev
+    409    FirmwareVersion                      no
     473    FileIndex                            int32u
     485    DirectoryIndex                       int32u
-    801    PictureStyleInfo2                    Canon PSInfo2
-
-=head3 Canon PSInfo2 Tags
-
-Custom picture style information for the EOS 60D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ContrastStandard                     int32s
-      4    SharpnessStandard                    int32s
-      8    SaturationStandard                   int32s
-     12    ColorToneStandard                    int32s
-     16    FilterEffectStandard?                int32s
-     20    ToningEffectStandard?                int32s
-     24    ContrastPortrait                     int32s
-     28    SharpnessPortrait                    int32s
-     32    SaturationPortrait                   int32s
-     36    ColorTonePortrait                    int32s
-     40    FilterEffectPortrait?                int32s
-     44    ToningEffectPortrait?                int32s
-     48    ContrastLandscape                    int32s
-     52    SharpnessLandscape                   int32s
-     56    SaturationLandscape                  int32s
-     60    ColorToneLandscape                   int32s
-     64    FilterEffectLandscape?               int32s
-     68    ToningEffectLandscape?               int32s
-     72    ContrastNeutral                      int32s
-     76    SharpnessNeutral                     int32s
-     80    SaturationNeutral                    int32s
-     84    ColorToneNeutral                     int32s
-     88    FilterEffectNeutral?                 int32s
-     92    ToningEffectNeutral?                 int32s
-     96    ContrastFaithful                     int32s
-    100    SharpnessFaithful                    int32s
-    104    SaturationFaithful                   int32s
-    108    ColorToneFaithful                    int32s
-    112    FilterEffectFaithful?                int32s
-    116    ToningEffectFaithful?                int32s
-    120    ContrastMonochrome                   int32s
-    124    SharpnessMonochrome                  int32s
-    128    SaturationMonochrome?                int32s
-    132    ColorToneMonochrome?                 int32s
-    136    FilterEffectMonochrome               int32s
-    140    ToningEffectMonochrome               int32s
-    144    ContrastUnknown?                     int32s
-    148    SharpnessUnknown?                    int32s
-    152    SaturationUnknown?                   int32s
-    156    ColorToneUnknown?                    int32s
-    160    FilterEffectUnknown?                 int32s
-    164    ToningEffectUnknown?                 int32s
-    168    ContrastUserDef1                     int32s
-    172    SharpnessUserDef1                    int32s
-    176    SaturationUserDef1                   int32s
-    180    ColorToneUserDef1                    int32s
-    184    FilterEffectUserDef1                 int32s
-    188    ToningEffectUserDef1                 int32s
-    192    ContrastUserDef2                     int32s
-    196    SharpnessUserDef2                    int32s
-    200    SaturationUserDef2                   int32s
-    204    ColorToneUserDef2                    int32s
-    208    FilterEffectUserDef2                 int32s
-    212    ToningEffectUserDef2                 int32s
-    216    ContrastUserDef3                     int32s
-    220    SharpnessUserDef3                    int32s
-    224    SaturationUserDef3                   int32s
-    228    ColorToneUserDef3                    int32s
-    232    FilterEffectUserDef3                 int32s
-    236    ToningEffectUserDef3                 int32s
-    240    UserDef1PictureStyle                 int16u
-    242    UserDef2PictureStyle                 int16u
-    244    UserDef3PictureStyle                 int16u
+    761    PictureStyleInfo                     Canon PSInfo2
+    801    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon CameraInfo70D Tags
+
+CameraInfo tags for the EOS 70D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    132    CameraOrientation                    int8u
+    147    FocusDistanceUpper                   int16uRev
+    149    FocusDistanceLower                   int16uRev
+    199    ColorTemperature                     int16u
+    358    LensType                             int16uRev
+    360    MinFocalLength                       int16uRev
+    362    MaxFocalLength                       int16uRev
+    606    FirmwareVersion                      no
+    691    FileIndex                            int32u
+    703    DirectoryIndex                       int32u
+    975    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon CameraInfo80D Tags
+
+CameraInfo tags for the EOS 80D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    150    CameraOrientation                    int8u
+    165    FocusDistanceUpper                   int16uRev
+    167    FocusDistanceLower                   int16uRev
+    314    ColorTemperature                     int16u
+    393    LensType                             int16uRev
+    395    MinFocalLength                       int16uRev
+    397    MaxFocalLength                       int16uRev
+   1114    FirmwareVersion                      no
+   1198    FileIndex                            int32u
+   1210    DirectoryIndex                       int32u
 
 =head3 Canon CameraInfo450D Tags
@@ -3993,6 +6942,6 @@
 CameraInfo tags for the EOS 450D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -4019,6 +6968,6 @@
 CameraInfo tags for the EOS 500D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -4037,7 +6986,7 @@
     190    AutoLightingOptimizer                int8u
     246    LensType                             int16uRev
-    248    ShortFocal                           int16uRev
-    250    LongFocal                            int16uRev
-    400    FirmwareVersion                      N
+    248    MinFocalLength                       int16uRev
+    250    MaxFocalLength                       int16uRev
+    400    FirmwareVersion                      no
     467    FileIndex                            int32u
     479    DirectoryIndex                       int32u
@@ -4048,6 +6997,6 @@
 CameraInfo tags for the EOS 550D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -4064,17 +7013,95 @@
     176    PictureStyle                         int8u
     255    LensType                             int16uRev
-    257    ShortFocal                           int16uRev
-    259    LongFocal                            int16uRev
-    420    FirmwareVersion                      N
+    257    MinFocalLength                       int16uRev
+    259    MaxFocalLength                       int16uRev
+    420    FirmwareVersion                      no
     484    FileIndex                            int32u
     496    DirectoryIndex                       int32u
     796    PictureStyleInfo                     Canon PSInfo
 
+=head3 Canon CameraInfo600D Tags
+
+CameraInfo tags for the EOS 600D and 1100D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+      7    HighlightTonePriority                int8u
+     21    FlashMeteringMode                    int8u
+     25    CameraTemperature                    int8u
+     30    FocalLength                          int16uRev
+     56    CameraOrientation                    int8u
+     87    FocusDistanceUpper                   int16uRev
+     89    FocusDistanceLower                   int16uRev
+    123    WhiteBalance                         int16u
+    127    ColorTemperature                     int16u
+    179    PictureStyle                         int8u
+    234    LensType                             int16uRev
+    236    MinFocalLength                       int16uRev
+    238    MaxFocalLength                       int16uRev
+    411    FirmwareVersion                      no
+    475    FileIndex                            int32u
+    487    DirectoryIndex                       int32u
+    763    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon CameraInfo650D Tags
+
+CameraInfo tags for the EOS 650D and 700D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    125    CameraOrientation                    int8u
+    140    FocusDistanceUpper                   int16uRev
+    142    FocusDistanceLower                   int16uRev
+    188    WhiteBalance                         int16u
+    192    ColorTemperature                     int16u
+    244    PictureStyle                         int8u
+    295    LensType                             int16uRev
+    297    MinFocalLength                       int16uRev
+    299    MaxFocalLength                       int16uRev
+    539    FirmwareVersion                      no
+    544    FirmwareVersion                      no
+    624    FileIndex                            int32u
+    628    FileIndex                            int32u
+    636    DirectoryIndex                       int32u
+    640    DirectoryIndex                       int32u
+    912    PictureStyleInfo                     Canon PSInfo2
+
+=head3 Canon CameraInfo750D Tags
+
+CameraInfo tags for the EOS 750D and 760D.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    FNumber                              int8u
+      4    ExposureTime                         int8u
+      6    ISO                                  int8u
+     27    CameraTemperature                    int8u
+     35    FocalLength                          int16uRev
+    150    CameraOrientation                    int8u
+    165    FocusDistanceUpper                   int16uRev
+    167    FocusDistanceLower                   int16uRev
+    305    WhiteBalance                         int16u
+    309    ColorTemperature                     int16u
+    361    PictureStyle                         int8u
+    388    LensType                             int16uRev
+    390    MinFocalLength                       int16uRev
+    392    MaxFocalLength                       int16uRev
+   1085    FirmwareVersion                      no
+   1097    FirmwareVersion                      no
+
 =head3 Canon CameraInfo1000D Tags
 
 CameraInfo tags for the EOS 1000D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -4090,4 +7117,6 @@
     115    ColorTemperature                     int16u
     226    LensType                             int16uRev
+    228    MinFocalLength                       int16uRev
+    230    MaxFocalLength                       int16uRev
     267    FirmwareVersion                      string[6]
     311    DirectoryIndex                       int32u
